Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163213 - Gambas not shown in desktop menu
Summary: Gambas not shown in desktop menu
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gambas
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-14 03:43 UTC by Kevin Kofler
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 17:33:01 UTC


Attachments (Terms of Use)

Description Kevin Kofler 2005-07-14 03:43:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90; H010818)

Description of problem:
Gambas lacks a .desktop file and therefore doesn't appear in the KDE or GNOME menues.

Version-Release number of selected component (if applicable):
gambas-1.0.6-3.fc4

How reproducible:
Always

Steps to Reproduce:
1. Install gambas, gambas-devel, gambas-examples and gambas-help.
2. Look for it in the menu.  

Actual Results:  The Gambas IDE is nowhere to be found in the menu.

Expected Results:  There should be an entry for the Gambas IDE under "Development".

Additional info:

A GUI app without a menu entry is an annoyance. Sure, I can run it from a terminal or using the "Run application" dialog, but how am I supposed to know the app is installed (other than by querying the RPM database) and how the executable is named (other than by using rpm -ql)?

Also, why don't the packaging guidelines say anything about including .desktop files for GUI apps? Should I file a bug for that too?

Comment 1 Tom "spot" Callaway 2005-07-14 04:10:02 UTC
You make very valid points. I've got a new gambas package waiting in CVS (the
buildsystem is down for repairs at the moment), and when it comes out, I'll make
sure it has a .desktop file.

Also, I'll put it in the PackagingGuidelines.

Thanks!

Comment 2 Tom "spot" Callaway 2005-09-05 17:33:01 UTC
This should be fixed in 1.0.11-1.


Note You need to log in before you can comment on or make changes to this bug.